/*
 * 到大厅
 */
function toLobby() {
	// 登陆到大厅
	// 先判断之前有没有创建该WebView
	var lobbyPage = plus.webview.getWebviewById(lobbyPageID);
	if(lobbyPage) {
		lobbyPage.close();
	}
	lobbyPage = plus.webview.create("lobby.html", lobbyPageID);
	lobbyPage.show("pop-in", 400);
}
/*
 * 用户登陆
 */
function login(loginInfo) {
	if(loginInfo.account.length < 5) {
		plus.nativeUI.alert(languagePack.loginAccountWrongForamtTip);
		return;
	}
	if(loginInfo.password.length < 6) {
		plus.nativeUI.alert(languagePack.loginPasswordWrongForamtTip);
		return;
	}
	plus.nativeUI.showWaiting(languagePack.loginNowLoging);
	var account = loginInfo.account;

	if(account.indexOf('@') > -1) {
		var accountArr = account.split('@');
		account = accountArr[1] + accountArr[0];
		accountName = accountArr[0];
	} else {
		accountName = account;
		account = "EDF01" + account;
	}
	var url = urlPrefix + (isTestServer ? "test" : "") + "api.gg626.com/api/mlogin.do?accountno=" + account + "&pwd=" + loginInfo.password;
	//	plus.nativeUI.alert(url);

	appGet(url, function(data) {
		plus.nativeUI.closeWaiting();
		// 登录到大厅
		var code = data[codeKey];

		if(code != "0") {
			plus.nativeUI.alert(languagePack.loginLoginFailedCode + code + "，" + data[msgKey]);
			return;
		} else {
			//						plus.nativeUI.alert(JSON.stringify(data));
			//			alert("data[curKey]:" + data[curKey] + "\n" + "code: " + code + "\n" + "data[balanceKey]: " + data[balanceKey] + "\n" + "data[sidKey]: " + data[sidKey]);
			plus.nativeUI.toast(languagePack.loginLoginSuccess);
			var balance = data[balanceKey];
			plus.storage.setItem(accountKey, accountName);
			plus.storage.setItem(curKey, data[curKey]);
			plus.storage.setItem(codeKey, code);
			plus.storage.setItem(balanceKey, Trim(balance.toString()));
			plus.storage.setItem(sidKey, data[sidKey]);
			// 不是试玩
			plus.storage.setItem(isFreeTrialKey, "no");

			// 判断是否选中了保存帐号设置开关
			var rememberAccountInput = document.getElementById("rememberAccount");
			if(rememberAccountInput.checked == true) {
				plus.storage.setItem(isRememberAccountKey, "yes");
			} else {
				plus.storage.setItem(isRememberAccountKey, "no");
			}
			// 登录到大厅
			toLobby();
		}
	}, function(xhr, type, errorThrown) {
		plus.nativeUI.closeWaiting();
		alert("访问服务器失败 " + errorThrown);
	});
}

(function($, doc) {
	$.init({
		swipeBack: false //启用右滑关闭功能
	});

	$.plusReady(function() {
		doc.body.ontouchmove = function(e) {
			e.preventDefault();
		};
		var loginButton = doc.getElementById('login');
		var freeTrialButton = document.getElementById("freeTrial");
		var accountBox = doc.getElementById('account');
		var passwordBox = doc.getElementById('password');

		// 设置记住帐号按钮状态
		var rememberAccount = document.getElementById("rememberAccount");
		rememberAccount.checked = plus.storage.getItem(isRememberAccountKey) == "yes" ? "checked" : "";
		var savedAccount = plus.storage.getItem(accountKey);
		if(savedAccount && rememberAccount.checked == true) {
			accountBox.value = savedAccount;
		}

		// 测试
		if(isDebug) {
			accountBox.value = isTestServer ? "gg0001" : "test111@YL001";
			passwordBox.value = isTestServer ? "123456" : "123123";
		}

		// 试玩
		freeTrialButton.addEventListener('tap', function(event) {
			plus.storage.setItem(isFreeTrialKey, "yes");
			toLobby();
		});

		loginButton.addEventListener('tap', function(event) {
			var loginInfo = {
				account: accountBox.value,
				password: passwordBox.value
			};
			login(loginInfo);
		});

		// 切换语言按钮
		var defaultLanguage = window.localStorage.getItem(languageKey);
		var langSwitch = document.getElementById("langSwitch");
		var languageConfig = [
			{ title: "简体中文", value: "zh-CN" },
			{ title: "繁體中文", value: "zh-HK" },
			{ title: "tiếng việt", value: "vi-VN" },
			{ title: "English", value: "en-US" }
		]
		// 设置默认语言
		if(defaultLanguage) {
			for(var i = 0; i < languageConfig.length; i++) {
				var config = languageConfig[i];
				if(config.value == defaultLanguage) {
					langSwitch.innerHTML = config.title;
					break;
				}
			}
		}

		langSwitch.addEventListener('tap', function(event) {
			plus.nativeUI.actionSheet({
					title: languagePack.loginPleaseChooseLanguage,
					cancel: languagePack.loginCancel,
					buttons: [{ title: languageConfig[0].title },
						{ title: languageConfig[1].title },
						{ title: languageConfig[2].title },
						{ title: languageConfig[3].title }
					]
				},
				function(e) {
					var index = e.index;
					var singleTitle = languageConfig[index - 1];
					langSwitch.innerHTML = singleTitle.title == undefined ? langSwitch.innerHTML() : singleTitle.title;
					// 设置语言
					defaultLanguage = languageConfig[index - 1].value;
					// 存储设置
					window.localStorage.setItem(languageKey, defaultLanguage);
					// 刷新页面
					window.location.reload();
					// action callback end
				}); // action sheet end
		}); // langSwitch EventListener end
	}); // plus Ready end
})(mui, document); // end